Subject: Re: bug#63362: Bug+fix for eshell-hist-ignore-dups 'erase

From: Jim Porter <[email-masked]>
Date: Sun, 14 May 2023 21:46:32 -0700

On 5/7/2023 11:38 AM, Alexander Kozhevnikov wrote:
> I think the ideal fix here is a refactor that makes the big picture
> clearer (I can provide one if asked, but that would almost certainly
> have enough creative substance to require copyright assignment, and
> would need to wait on the paperwork).

Thanks for this analysis. I'll try and take a look at this in more 
detail, and perhaps refactor things a bit in this part of the code as 
you suggest. (I've wanted to clean up the Eshell history logic a bit 
already, since I'd like to make it a bit more usable when you have 
multiple Eshell buffers.)

First step though is for me to write up a few regression tests, I think. 
That should make it easier to do some refactoring without breaking anything.